---
updatedAt: 2025-07-14T12:33:41.000Z
agentTools:
  projectIndex: https://docs.getpinch.com.au/llms.txt
---

# List Payments - Scheduled

Paged list of all Payments that are currently scheduled.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "pinch-api-payments",
    "version": "2020.1"
  },
  "servers": [
    {
      "url": "https://api.getpinch.com.au/test"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/payments/scheduled": {
      "get": {
        "summary": "List Payments - Scheduled",
        "description": "",
        "operationId": "list-scheduled-payments",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "The current page",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "How many items to return for each page. Maximum 500.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"page\": 1,\n    \"pageSize\": 50,\n    \"totalPages\": 1,\n    \"totalItems\": 1,\n    \"data\": [\n        {\n            \"id\": \"pmt_XXXXXXXXXXXXXX\",\n            \"attemptId\": \"att_XXXXXXXX\",\n            \"amount\": 1245,\n            \"currency\": \"AUD\",\n            \"description\": \"A lovely bunch of coconuts.\",\n            \"applicationFee\": 0,\n            \"totalFee\": 42,\n            \"isSurcharged\": false,\n            \"sourceType\": \"bank-account\",\n            \"transactionDate\": \"2021-05-04T14:00:00.0000000Z\",\n            \"status\": \"scheduled\",\n            \"estimatedTransferDate\": \"2021-05-11T00:00:00\",\n            \"payer\": {\n                \"id\": \"pyr_XXXXXX\",\n                \"firstName\": \"Test\",\n                \"lastName\": \"Payer\",\n                \"emailAddress\": \"test.payer@mailinator.com\",\n                \"mobileNumber\": null,\n                \"streetAddress\": null,\n                \"suburb\": null,\n                \"postcode\": null,\n                \"state\": null,\n                \"country\": null,\n                \"companyName\": null,\n                \"companyRegistrationNumber\": null,\n                \"metadata\": null\n            },\n            \"subscription\": null,\n            \"metadata\": null\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "page": {
                      "type": "integer",
                      "example": 1
                    },
                    "pageSize": {
                      "type": "integer",
                      "example": 50
                    },
                    "totalPages": {
                      "type": "integer",
                      "example": 1
                    },
                    "totalItems": {
                      "type": "integer",
                      "example": 1
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "pmt_XXXXXXXXXXXXXX"
                          },
                          "attemptId": {
                            "type": "string",
                            "example": "att_XXXXXXXX"
                          },
                          "amount": {
                            "type": "integer",
                            "example": 1245
                          },
                          "currency": {
                            "type": "string",
                            "example": "AUD"
                          },
                          "description": {
                            "type": "string",
                            "example": "A lovely bunch of coconuts."
                          },
                          "applicationFee": {
                            "type": "integer",
                            "example": 0
                          },
                          "totalFee": {
                            "type": "integer",
                            "example": 42
                          },
                          "isSurcharged": {
                            "type": "boolean",
                            "example": false
                          },
                          "sourceType": {
                            "type": "string",
                            "example": "bank-account"
                          },
                          "transactionDate": {
                            "type": "string",
                            "example": "2021-05-04T14:00:00.0000000Z"
                          },
                          "status": {
                            "type": "string",
                            "example": "scheduled"
                          },
                          "estimatedTransferDate": {
                            "type": "string",
                            "example": "2021-05-11T00:00:00"
                          },
                          "payer": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "pyr_XXXXXX"
                              },
                              "firstName": {
                                "type": "string",
                                "example": "Test"
                              },
                              "lastName": {
                                "type": "string",
                                "example": "Payer"
                              },
                              "emailAddress": {
                                "type": "string",
                                "example": "test.payer@mailinator.com"
                              },
                              "mobileNumber": {},
                              "streetAddress": {},
                              "suburb": {},
                              "postcode": {},
                              "state": {},
                              "country": {},
                              "companyName": {},
                              "companyRegistrationNumber": {},
                              "metadata": {}
                            }
                          },
                          "subscription": {},
                          "metadata": {}
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "csharp",
              "code": "var result = await api.Payment.GetScheduled();\nvar payments = result.Data;"
            },
            {
              "language": "curl",
              "code": "curl --request GET \\\n  --url https://api.getpinch.com.au/test/payments/scheduled"
            }
          ],
          "samples-languages": [
            "csharp",
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "pinch-version",
        "value": "2020.1"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```